=== plugins/countermeasures/Makefile ===
# Generated automatically from Makefile.in by configure.
FLAGS=-c -Wall -pedantic -I../.. -O2 -I/usr/include -I/usr/include -I/usr/include  -D_LINUX_
CC=gcc

all: countermeasures.o icmp_lib.o icmp_lib_nd.o

clean: 
	-rm -rf *~ *.o 

countermeasures.o:	countermeasures.c
	$(CC) $(FLAGS) countermeasures.c -o countermeasures.o

icmp_lib.o: 
	$(CC) $(FLAGS) -c icmp_lib.c -o icmp_lib.o

icmp_lib_nd.o:
	$(CC) $(FLAGS) -c icmp_lib_nd.c -o icmp_lib_nd.o
