=== debian/changelog ===
ndpmon (1.4.0-2.1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:13 +0000

ndpmon (1.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786070).

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 01 Sep 2015 22:51:34 +0500

ndpmon (1.4.0-2) unstable; urgency=low

  * Changed copyright notice from the authors' names to the MADYNES Project.
  * Added lintian overrides for absent hardening features.
  * Removed dependency on python-4suite-xml, which was removed from
    Debian on 2011-09-17.  xmllint from the package libxml2-utils is now
    used to format the alerts.xml file.

 -- John R. Baskwill <jrb28@psu.edu>  Tue, 22 May 2012 11:19:46 -0400

ndpmon (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #635975)

 -- John R. Baskwill <jrb28@psu.edu>  Tue, 25 Apr 2012 10:15:26 -0400
