=== debian/control ===
Source: ndpmon
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John R. Baskwill <jrb28@psu.edu>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autotools-dev, libpcap-dev, libssl-dev, libwww-perl, libxml2-dev, python-all, dh-python
Standards-Version: 3.9.3
Homepage: http://ndpmon.sourceforge.net

Package: ndpmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libxml2-utils
Description: IPv6 Neighbor Discovery Protocol Monitor
 NDPMon, IPv6 Neighbor Discovery Protocol Monitor, is a tool working
 with ICMPv6 packets.  NDPMon observes the local network to see
 if nodes using Neighbor Discovery messages behave properly.
 When it detects a suspicious Neighbor Discovery message, it
 notifies the administrator by writing in the syslog and in some
 cases by sending an email report. NDPMon is an equivalent of
 ArpWatch for IPv6.
