=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,autotools-dev,python2

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --enable-countermeasures --enable-mac-resolv --enable-debug

override_dh_auto_install:
